%define module funcsigs
%define enable_tests 0

Name:           python-funcsigs
Version:        1.0.2
Release:        %mkrel 18
Summary:        Python function signatures from PEP362 for Python 2.6, 2.7 and 3.2+

Group:          Development/Python
License:        ASL
URL:            https://funcsigs.readthedocs.org/
Source0:        %{pypi_source %{module}}
Patch1:         no-unittest2.patch
BuildArch:      noarch
BuildRequires:  python3-devel
%if %enable_tests
BuildRequires:  python3dist(pytest)
%endif

%description
funcsigs is a backport of the PEP 362 function signature features from
Python 3.3’s inspect module.

%package -n python3-funcsigs
Summary:        Python function signatures from PEP362 for Python 2.6, 2.7 and 3.2+
Group:          Development/Python
%{?python_provide:%python_provide python3-%{module}}

%description -n python3-funcsigs
funcsigs is a backport of the PEP 362 function signature features from
Python 3.3’s inspect module.

%prep
%autosetup -p1 -n %{module}-%{version}


%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%if %enable_tests
%check
%pytest
%endif

%install
%pyproject_install
%pyproject_save_files funcsigs

%files -n python3-funcsigs -f %{pyproject_files}
%license LICENSE
%doc README.rst


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 1.0.2-18.mga10
+ Revision: 2236122
- Mageia 10 Mass Rebuild

* Fri Feb 21 2025 neoclust <neoclust> 1.0.2-17.mga10
+ Revision: 2150372
- Rebuild against python 3.13

* Fri Feb 21 2025 neoclust <neoclust> 1.0.2-16.mga10
+ Revision: 2150315
- Rebuild against python 3.13
- Add switch to disable tests

* Sun Dec 22 2024 papoteur <papoteur> 1.0.2-14.mga10
+ Revision: 2129038
- add and use pytest

* Tue Dec 12 2023 papoteur <papoteur> 1.0.2-13.mga10
+ Revision: 2017448
- rebuild for python 3.12

* Thu Dec 07 2023 wally <wally> 1.0.2-12.mga10
+ Revision: 2014798
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 1.0.2-11.mga9
+ Revision: 1822118
- Mageia 9 Mass Rebuild

* Sun Feb 06 2022 wally <wally> 1.0.2-10.mga9
+ Revision: 1771973
- build without unittest2 (patch from Fedora)
- rebuild for python3.10

* Sun Mar 14 2021 wally <wally> 1.0.2-9.mga9
+ Revision: 1702608
- rebuild for python 3.9

* Sun Feb 16 2020 umeabot <umeabot> 1.0.2-8.mga8
+ Revision: 1530601
- Mageia 8 Mass Rebuild

* Wed Sep 04 2019 wally <wally> 1.0.2-7.mga8
+ Revision: 1437148
- rebuild with new python-rpm-macros

* Tue Sep 03 2019 wally <wally> 1.0.2-6.mga8
+ Revision: 1436800
- rebuild for python3.8
- drop python2 support

* Sat Jan 05 2019 wally <wally> 1.0.2-5.mga7
+ Revision: 1349276
- rebuild for python3.7

* Thu Sep 20 2018 umeabot <umeabot> 1.0.2-4.mga7
+ Revision: 1288914
- Mageia 7 Mass Rebuild

* Tue Mar 20 2018 kekepower <kekepower> 1.0.2-3.mga7
+ Revision: 1210807
- Renamed python-funcsigs to python2-funcsigs

* Wed Oct 04 2017 tv <tv> 1.0.2-2.mga7
+ Revision: 1168632
- BR pythonX-unittest2 thus fixing build

* Thu Aug 03 2017 philippem <philippem> 1.0.2-1.mga7
+ Revision: 1134331
- update to 1.0.2

* Fri Feb 19 2016 umeabot <umeabot> 0.4-4.mga6
+ Revision: 970503
- Mageia 6 Mass Rebuild
+ philippem <philippem>
- use new macros

* Wed Oct 07 2015 tv <tv> 0.4-3.mga6
+ Revision: 887095
- rebuild for python 3.5
+ ovitters <ovitters>
- rebuild for new python3

* Fri Aug 28 2015 fwang <fwang> 0.4-1.mga6
+ Revision: 870599
- fix py3 pkg name
- imported package python-funcsigs

